Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 751358 - net-analyzer/wireshark-3.4.0_rc1 fails to build with USE="tfshark"
Summary: net-analyzer/wireshark-3.4.0_rc1 fails to build with USE="tfshark"
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords: PATCH, UPSTREAM
: 751385 (view as bug list)
Depends on:
Blocks: CVE-2020-26575
  Show dependency tree
 
Reported: 2020-10-26 16:42 UTC by Bernd Buschinski
Modified: 2020-10-31 23:47 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
net-analyzer/wireshark-3.4.0_rc1/temp/build.log (build.log.gz,68.25 KB, application/gzip)
2020-10-26 16:44 UTC, Bernd Buschinski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Buschinski 2020-10-26 16:42:29 UTC
net-analyzer/wireshark-3.4.0_rc1 fails to build with USE="tfshark". Previous versions work fine.

Reproducible: Always

Steps to Reproduce:
1. USE="tfshark" emerge -1v wireshark
Actual Results:  
It fails to build with:

/var/tmp/portage/net-analyzer/wireshark-3.4.0_rc1/work/wireshark-3.4.0rc1/tfshark.c: In function 'main':
/var/tmp/portage/net-analyzer/wireshark-3.4.0_rc1/work/wireshark-3.4.0rc1/tfshark.c:955:58: error: expected ')' before 'WS_WIKI_URL'
  955 |             "Some infos / workarounds can be found at:\n"
      |                                                          ^
      |                                                          )
  956 |              WS_WIKI_URL("KnownBugs/OutOfMemory") "\n");
      |              ~~~~~~~~~~~

Expected Results:  
Should build fine.
Comment 1 Bernd Buschinski 2020-10-26 16:44:26 UTC
Created attachment 668648 [details]
net-analyzer/wireshark-3.4.0_rc1/temp/build.log
Comment 2 Bernd Buschinski 2020-10-26 16:44:54 UTC
# emerge --info
Portage 3.0.8 (python 3.7.9-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-10.2.0, glibc-2.32-r2, 5.8.14-gentoo x86_64)
=================================================================
System uname: Linux-5.8.14-gentoo-x86_64-AMD_Ryzen_7_2700X_Eight-Core_Processor-with-gentoo-2.7
KiB Mem:    32875088 total,  15887904 free
KiB Swap:   49283064 total,  49283064 free
Timestamp of repository gentoo: Mon, 26 Oct 2020 15:30:01 +0000
Head commit of repository gentoo: bf0f82b5dc6f92267b3b4b82b6a33ef0085bf031
sh bash 5.0_p18
ld GNU ld (Gentoo 2.35.1 p1) 2.35.1
ccache version 4.0 [disabled]
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18-r4::gentoo, 3.7.9::gentoo, 3.8.6::gentoo, 3.9.0::gentoo
dev-util/ccache:          4.0::gentoo
dev-util/cmake:           3.18.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.2::gentoo
sys-devel/binutils:       2.35.1::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo, 10.2.0-r2::gentoo
sys-devel/gcc-config:     2.3.2::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: yes

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

4nykey
    location: /var/lib/layman/4nykey
    masters: gentoo
    priority: 50

kde
    location: /var/lib/layman/kde
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    masters: gentoo
    priority: 50

trolltoo
    location: /var/lib/layman/trolltoo
    sync-type: laymansync
    sync-uri: https://github.com/dallenwilson/trolltoo.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE MSttfEULA NVIDIA-r2 ValveSteamLicense AdobeAIRSDK MPEG-4 linux-fw-redistributable no-source-code unRAR NVIDIA-r1 FAH-EULA-2014 FAH-special-permission OFFIS"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe -march=native"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=native"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j17"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 amr amrenc berkdb bluetooth bluray branding bzip2 cairo cdda cdr cli corefonts crypt cuda cups dbus declarative dri dts dvd dvdr elogind emboss emoji encode exif fdk fftw flac fontconfig fontforge fortran gdbm gif gphoto2 graphite gsm gtk gui haptics http2 iconv icu ipv6 jack jpeg jpeg2k kde kipi kwallet lcms libaom libass libglvnd libnotify librtmp libsamplerate libsoxr libtirpc lm-sensors lspclient lzma mad mng mp3 mp4 mpeg mtp multilib ncurses networkmanager nls nptl ogg openal opencl opengl openmp opus osmesa pam pango pcre pdf phonon plasma png policykit ppds qml qt5 readline sdl seccomp semantic-desktop speex spell split-usr srt ssl sslv3 startup-notification svg tcpd theora tiff tls-heartbeat truetype udev udisks unicode upower usb uvm vdpau vorbis vpx vulkan webp widgets wxwidgets x264 x265 xattr xcb xml xv xvid xz zimg zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput evdev joystick" KERNEL="linux" L10N="en-US en de en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" RUBY_TARGETS="ruby27" USERLAND="GNU" VIDEO_CARDS="nvidia vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-10-26 20:31:08 UTC
*** Bug 751385 has been marked as a duplicate of this bug. ***
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-10-26 20:31:45 UTC
From the other bug:
(In reply to PhobosK from comment #0)
> The compilation of net-analyzer/wireshark-3.4.0_rc1[tfshark] gives an error:
> 
> ...
> 
> This is an upstream error, was reported upstream and they fixed it. 
> Here is the upstream fix commit:
> https://gitlab.com/wireshark/wireshark/-/commit/
> a8d023ba581bab311e58dce13706125b28271535
> 

Thanks!
Comment 5 hangglider 2020-10-27 11:08:21 UTC
Same here. Upstream problem: tfshark.c is missing #include "ui/urls.h".
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2020-10-27 13:06:49 UTC
This is already fixed upstream.

--- a/tfshark.c
+++ b/tfshark.c
@@ -34,6 +34,7 @@

 #include <ui/clopts_common.h>
 #include <ui/cmdarg_err.h>
+#include <ui/urls.h>
 #include <wsutil/filesystem.h>
 #include <wsutil/file_util.h>
 #include <wsutil/privileges.h>